unit film;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  ExtCtrls, ComCtrls, MPlayer, StdCtrls, Buttons;

type
  TfrmFilm = class(TForm)
    mp: TMediaPlayer;
    pf: TPanel;
    tim: TTimer;
    tb: TScrollBar;
    Bevel1: TBevel;
    sbEnde: TSpeedButton;
    Bevel2: TBevel;
    procedure FormCreate(Sender: TObject);
    procedure timTimer(Sender: TObject);
    procedure tbChange(Sender: TObject);
    procedure FormClose(Sender: TObject; var Action: TCloseAction);
    procedure sbEndeClick(Sender: TObject);
    procedure pfMouseDown(Sender: TObject; Button: TMouseButton;
      Shift: TShiftState; X, Y: Integer);
  private
    { Private-Deklarationen }
  public
    { Public-Deklarationen }
  end;

var
  frmFilm: TfrmFilm;
  Change: boolean;
  Pfad: String;

implementation

{$R *.DFM}

procedure TfrmFilm.FormCreate(Sender: TObject);
begin
  Pfad:=ExtractFilePath(Application.ExeName);
  if copy(Pfad,length(Pfad),1)<>'\' then Pfad:=Pfad+'\';
  mp.filename:=Pfad+'farbendx.avi';
  mp.open;
  tb.Max:=mp.Length;
  mp.position:=0;
end;

procedure TfrmFilm.timTimer(Sender: TObject);
begin
  change:=false;
  tb.Position:=mp.Position;
  change:=true;
end;

procedure TfrmFilm.tbChange(Sender: TObject);
begin
  if change=true then
  if mp.mode=mpplaying then
    begin
    mp.stop;
    mp.Position:=tb.Position;
    mp.play;
    end
  else
    begin
    mp.Position:=tb.Position;
    end;
end;

procedure TfrmFilm.FormClose(Sender: TObject; var Action: TCloseAction);
begin
  mp.Close;
end;

procedure TfrmFilm.sbEndeClick(Sender: TObject);
begin
  Close;
end;

procedure TfrmFilm.pfMouseDown(Sender: TObject; Button: TMouseButton;
  Shift: TShiftState; X, Y: Integer);
begin
  If button = mbleft then
    begin
    releasecapture;
    frmFilm.perform (WM_syscommand, $F012, 0);
    end;
end;

end.
