unit farbe;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  DXClass, DXDraws, StdCtrls, ProVCL, ExtCtrls, Digits, DXSounds, RXCtrls,
  ActnList, TFlatHintUnit, CoolForm, ShellAPI, TFlatComboBoxUnit,
  TFlatGroupBoxUnit, Registry, HelpRouter;

type
  Tfrm = class(TForm)
    scr: TDXDraw;
    img: TDXImageList;
    tim: TDXTimer;
    snd: TDXSound;
    aud: TDXWaveList;
    acn: TActionList;
    actNeu: TAction;
    actRest: TAction;
    actUndo: TAction;
    rxbNeu: TRxSpeedButton;
    rxbRest: TRxSpeedButton;
    rxbUndo: TRxSpeedButton;
    FlatHint: TFlatHint;
    cool: TCoolForm;
    rxbEnde: TRxSpeedButton;
    actEnde: TAction;
    grpLevel: TFlatGroupBox;
    cboLevel: TFlatComboBox;
    grpGrad: TFlatGroupBox;
    cboGrad: TFlatComboBox;
    grpPkt: TFlatGroupBox;
    imgCount: TImage;
    count: TDigits;
    grpRek: TFlatGroupBox;
    imgRek: TImage;
    rek: TDigits;
    lblTitel: TLabel;
    rxbHilfe: TRxSpeedButton;
    actHelp: TAction;
    actInfo: TAction;
    rxbInfo: TRxSpeedButton;
    actBack: TAction;
    rxbBack: TRxSpeedButton;
    actBest: TAction;
    rxbBest: TRxSpeedButton;
    rxbHelp: TRxSpeedButton;
    actHilfe: TAction;
    actSound: TAction;
    rxbSound: TRxSpeedButton;
    imgPS: TImage;
    imgNS: TImage;
    procedure doit(a,b,r:integer);
    procedure DoExecute(AWhat: PChar);
    procedure Anzeige(f:TForm);
    procedure timTimer(Sender: TObject; LagCount: Integer);
    procedure FormCreate(Sender: TObject);
    procedure Mischen;
    procedure scrMouseMove(Sender: TObject; Shift: TShiftState; X,
      Y: Integer);
    procedure scrMouseUp(Sender: TObject; Button: TMouseButton;
      Shift: TShiftState; X, Y: Integer);
    procedure scrMouseDown(Sender: TObject; Button: TMouseButton;
      Shift: TShiftState; X, Y: Integer);
    procedure gbNeuClick(Sender: TObject);
    procedure chkSound;
    procedure gbRestClick(Sender: TObject);
    procedure FormClose(Sender: TObject; var Action: TCloseAction);
    procedure gbUndoClick(Sender: TObject);
    procedure actEndeExecute(Sender: TObject);
    procedure cboLevelChange(Sender: TObject);
    procedure knopf(b: boolean);
    procedure imgTitelMouseDown(Sender: TObject; Button: TMouseButton;
      Shift: TShiftState; X, Y: Integer);
    procedure actHelpExecute(Sender: TObject);
    procedure actInfoExecute(Sender: TObject);
    procedure actBackExecute(Sender: TObject);
    procedure actBestExecute(Sender: TObject);
    procedure AnzBest(i,j: Integer);
    procedure FormShow(Sender: TObject);
    procedure actHilfeExecute(Sender: TObject);
    procedure actSoundExecute(Sender: TObject);
  private
    { Private-Deklarationen }
  public
    { Public-Deklarationen }
  end;

type
  THighScore = record
    N: String[12];
    P: Integer;
  end;

type TMaus=record
  x:integer;
  y:integer;
  f:integer;
  end;

var
  frm: Tfrm;
  farb: array[0..143] of integer;
  abbild: array[0..143] of integer;
  m: TMaus;
  audio: boolean;
  undo: TStringList;
  alf: Integer;
  gameover: Integer;
  lvl: Integer;
  zug: Integer;
  RegIni: TRegIniFile;
  KeyReg: String;
  Pfad: String;
  HS: array [0..2,0..8,0..9] of THighScore;
  Player: String[12];
  HP: Integer;

implementation

uses info, film, besten, pname;

{$R *.DFM}

function coord(i:integer):integer;
begin
  result:=(i div 34);
end;

function coor2(i:integer):integer;
begin
  result:=2+(i*34);
end;

function enth(i,j:integer;e:boolean):boolean;
begin
  result:=false;
  if e=true then if ((i=0)or(i=1)or(i=3)) and ((j=0)or(j=1)or(j=3)) then result:=true;
  if (i=j) and (e=true) then result:=true;
  if (i=0) and (j=2) then result:=true;
  if (i=0) and (j=4) then result:=true;
  if (i=0) and (j=6) then result:=true;
  if (i=1) and (j=2) then result:=true;
  if (i=1) and (j=5) then result:=true;
  if (i=1) and (j=6) then result:=true;
  if (i=3) and (j=4) then result:=true;
  if (i=3) and (j=5) then result:=true;
  if (i=3) and (j=6) then result:=true;
  if (i=2) and (j=6) then result:=true;
  if (i=4) and (j=6) then result:=true;
  if (i=5) and (j=6) then result:=true;
  if e=false then
    begin
    if (j=0) and (i=2) then result:=true;
    if (j=0) and (i=4) then result:=true;
    if (j=0) and (i=6) then result:=true;
    if (j=1) and (i=2) then result:=true;
    if (j=1) and (i=5) then result:=true;
    if (j=1) and (i=6) then result:=true;
    if (j=3) and (i=4) then result:=true;
    if (j=3) and (i=5) then result:=true;
    if (j=3) and (i=6) then result:=true;
    if (j=2) and (i=6) then result:=true;
    if (j=4) and (i=6) then result:=true;
    if (j=5) and (i=6) then result:=true;
    end;
  if (i=7) or (j=7) then result:= not e;
end;

procedure Tfrm.doit(a,b,r:integer);
var
  i,j,k,l:integer;
begin
  i:=a;
  j:=b;
  k:=a;
  l:=b;
  if r=0 then
    begin
    j:=b-2;
    l:=b-1;
    end;
  if r=1 then
    begin
    j:=b-2;
    l:=b-1;
    i:=a+2;
    k:=a+1;
    end;
  if r=2 then
    begin
    i:=a+2;
    k:=a+1;
    end;
  if r=3 then
    begin
    i:=a+2;
    k:=a+1;
    j:=b+2;
    l:=b+1;
    end;
  if r=4 then
    begin
    j:=b+2;
    l:=b+1;
    end;
  if r=5 then
    begin
    j:=b+2;
    l:=b+1;
    i:=a-2;
    k:=a-1;
    end;
  if r=6 then
    begin
    i:=a-2;
    k:=a-1;
    end;
  if r=7 then
    begin
    i:=a-2;
    k:=a-1;
    j:=b-2;
    l:=b-1;
    end;
  undo.add(inttostr(r)+inttostr(farb[a+(b*12)]+1)+inttostr(farb[k+(l*12)]+1)+inttostr(farb[i+(j*12)]+1)+inttostr(a+(b*12)));
  if farb[i+(j*12)]<>farb[a+(b*12)] then farb[i+(j*12)]:=((farb[i+(j*12)]+1)+(farb[a+(b*12)]+1))-1;
  if ((farb[k+(l*12)]=0)or(farb[k+(l*12)]=1)or(farb[k+(l*12)]=3)) and ((farb[a+(b*12)]=0)or(farb[a+(b*12)]=1)or(farb[a+(b*12)]=3)) then
    farb[k+(l*12)]:=-1
  else
    farb[k+(l*12)]:=((farb[k+(l*12)]+1)-(farb[a+(b*12)]+1))-1;
  farb[a+(b*12)]:=-1;
  count.Increase;
end;

procedure Tfrm.DoExecute(AWhat: PChar);
begin
  ShellExecute(GetDesktopWindow(), 'open', AWhat, nil, nil, SW_SHOWNORMAL);
end;

procedure Tfrm.Anzeige(f:TForm);
begin
  TForm(f).Left:=trunc((frm.Width-TForm(f).Width)/2)+frm.Left;
  TForm(f).Top:=trunc((frm.Height-TForm(f).Height)/2)+frm.Top;
  TForm(f).showmodal;
end;

procedure Tfrm.timTimer(Sender: TObject; LagCount: Integer);
var
  i,j:integer;
begin
  if not scr.CanDraw then exit;
  scr.Surface.Fill(0);
  img.Items[0].draw(scr.surface,0,0,0);
  for i:=0 to 11 do
  for j:=0 to 11 do
    begin
    if (farb[i+(j*12)]>-1) and (farb[i+(j*12)]<7) then
      begin
      if m.f<>i+(j*12) then
        begin
        if alf=768 then
          begin
          img.Items[1].draw(scr.surface,coor2(i),coor2(j),farb[i+(j*12)]);
          end
        else
          begin
          alf:=alf+1;
          img.Items[1].drawalpha(scr.surface,rect(coor2(i),coor2(j),coor2(i)+30,coor2(j)+30),farb[i+(j*12)],alf div 3);
          end;
        end;
      end;
    if farb[i+(j*12)]=7 then img.Items[2].draw(scr.surface,coor2(i)-2,coor2(j)-2,i+(j*12));
    end;
  if m.f>-1 then img.Items[1].drawalpha(scr.surface,rect(m.x-15,m.y-15,m.x+15,m.y+15),farb[m.f],180);
  if gameover>0 then
    begin
    img.Items[3].drawalpha(scr.surface,rect(0,151,212,258),0,144);
    img.Items[4].draw(scr.surface,70,223,0);
    if gameover=1 then
      begin
      img.Items[5].draw(scr.surface,0,151,0);
      img.Items[6].draw(scr.surface,70,223,0);
      end
    else
      begin
      img.Items[7].draw(scr.surface,0,151,0);
      img.Items[8].draw(scr.surface,70,223,0);
      end;
    end;
  scr.Flip;
end;

procedure Tfrm.FormCreate(Sender: TObject);
var
  i,j:integer;
begin
  KeyReg:='Software\Hollwitz\FarbenDX';
  Pfad:=ExtractFilePath(Application.ExeName);
  if copy(Pfad,length(Pfad),1)<>'\' then Pfad:=Pfad+'\';

  tim.interval:=1000 div 60;
  img.items.MakeColorTable;
  scr.ColorTable := img.Items.ColorTable;
  scr.DefColorTable := img.Items.ColorTable;
  scr.UpdatePalette;
  undo:=TStringlist.Create;
  randomize;
  for i:=0 to 11 do
  for j:=0 to 11 do
    farb[i+(j*12)]:=7;
  m.f:=-1;
  alf:=768;
  gameover:=0;
  knopf(true);
end;

procedure Tfrm.Mischen;
var
  i,j:integer;
  x:string;
begin
  if audio=true then aud.items[3].Play(false);

  for i:=0 to 11 do
  for j:=0 to 11 do
    farb[i+(j*12)]:=-1;

  if cboLevel.itemindex<cboLevel.items.count-1 then
    begin
    lvl:=cboLevel.itemindex+1;
    zug:=0;
    lblTitel.Caption:='Spiel: Level '+inttostr(lvl);
    end
  else
    begin
    lvl:=lvl+1;
    zug:=count.value;
    lblTitel.Caption:='Turnier: Level '+inttostr(lvl);
    end;

  if lvl=1 then
    begin
    for i:=0 to 11 do
    for j:=0 to 2 do
      farb[i+(j*12)]:=7;
    for i:=0 to 11 do
    for j:=9 to 11 do
      farb[i+(j*12)]:=7;
    for i:=0 to 1 do
    for j:=3 to 8 do
      farb[i+(j*12)]:=7;
    for i:=10 to 11 do
    for j:=3 to 8 do
      farb[i+(j*12)]:=7;
    end
  else if lvl=2 then
    begin
    for i:=0 to 11 do
      begin
      farb[i+(0*12)]:=7;
      farb[i+(1*12)]:=7;
      farb[i+(10*12)]:=7;
      farb[i+(11*12)]:=7;
      end;
    for j:=2 to 9 do
      begin
      farb[0+(j*12)]:=7;
      farb[11+(j*12)]:=7;
      end;
    end
  else if lvl=3 then
    begin
    for i:=0 to 11 do
    for j:=0 to 1 do
      begin
      farb[i+(0*12)]:=7;
      farb[i+(1*12)]:=7;
      farb[i+(10*12)]:=7;
      farb[i+(11*12)]:=7;
      end;
    for j:=2 to 9 do
      begin
      farb[0+(j*12)]:=7;
      farb[11+(j*12)]:=7;
      end;
    for i:=5 to 6 do
    for j:=5 to 6 do
      farb[i+(j*12)]:=7;
    end
  else if lvl=4 then
    begin
    for j:=0 to 4 do
    for i:=0 to 4-j do
      farb[i+(j*12)]:=7;
    for j:=0 to 4 do
    for i:=4 downto 4-j do
      farb[i+7+((j+7)*12)]:=7;
    for i:=7 to 11 do
    for j:=0 to i-7 do
      farb[i+(j*12)]:=7;
    for i:=4 downto 0 do
    for j:=11 downto 7+i do
      farb[i+(j*12)]:=7;
    end
  else if lvl=5 then
    begin
    for j:=0 to 4 do
    for i:=0 to 4-j do
      farb[i+(j*12)]:=7;
    for j:=0 to 4 do
    for i:=4 downto 4-j do
      farb[i+7+((j+7)*12)]:=7;
    for i:=7 to 11 do
    for j:=0 to i-7 do
      farb[i+(j*12)]:=7;
    for i:=4 downto 0 do
    for j:=11 downto 7+i do
      farb[i+(j*12)]:=7;
    for i:=5 to 6 do
    for j:=4 to 7 do
      farb[i+(j*12)]:=7;
    for j:=5 to 6 do
    for i:=4 to 7 do
      farb[i+(j*12)]:=7;
    end
  else if lvl=6 then
    begin
    for i:=0 to 11 do
      begin
      farb[i+(0*12)]:=7;
      farb[i+(1*12)]:=7;
      farb[i+(2*12)]:=7;
      farb[i+(9*12)]:=7;
      farb[i+(10*12)]:=7;
      farb[i+(11*12)]:=7;
      end;
    for j:=0 to 4 do
    for i:=0 to 4-j do
      farb[i+((j+3)*12)]:=7;
    for i:=7 to 11 do
    for j:=0 to i-7 do
      farb[i+((j+3)*12)]:=7;
    end
  else if lvl=7 then
    begin
    for i:=0 to 11 do
      begin
      farb[i+(0*12)]:=7;
      farb[i+(1*12)]:=7;
      farb[i+(2*12)]:=7;
      farb[i+(9*12)]:=7;
      farb[i+(10*12)]:=7;
      farb[i+(11*12)]:=7;
      end;
    for i:=5 to 6 do
      farb[i+(6*12)]:=7;
    for i:=4 to 7 do
    for j:=7 to 8 do
      farb[i+(j*12)]:=7;
    for j:=0 to 4 do
    for i:=0 to 4-j do
      farb[i+((j+3)*12)]:=7;
    for i:=7 to 11 do
    for j:=0 to i-7 do
      farb[i+((j+3)*12)]:=7;
    end
  else if lvl=8 then
    begin
    farb[0]:=7;
    farb[11]:=7;
    farb[132]:=7;
    farb[143]:=7;
    farb[5]:=7;
    farb[6]:=7;
    farb[26]:=7;
    farb[33]:=7;
    farb[60]:=7;
    farb[71]:=7;
    farb[72]:=7;
    farb[83]:=7;
    farb[110]:=7;
    farb[117]:=7;
    farb[137]:=7;
    farb[138]:=7;
    for i:=5 to 6 do
    for j:=4 to 7 do
      farb[i+(j*12)]:=7;
    for j:=5 to 6 do
    for i:=4 to 7 do
      farb[i+(j*12)]:=7;
    end;

  if cboGrad.itemindex=0 then x:='013';
  if cboGrad.itemindex=1 then x:='013013245';
  if cboGrad.itemindex=2 then x:='0130130132452456';
  for i:=0 to 11 do
  for j:=0 to 11 do
    begin
    if farb[i+(j*12)]<7 then farb[i+(j*12)]:=strtoint(copy(x,random(length(x))+1,1));
    abbild[i+(j*12)]:=farb[i+(j*12)];
    end;

  while count.value>zug do count.decrease;
  alf:=0;
  gameover:=0;
  m.f:=-1;
  undo.Clear;
end;

procedure Tfrm.scrMouseMove(Sender: TObject; Shift: TShiftState; X,
  Y: Integer);
var
  i,j:integer;
begin
  if gameover=0 then
    begin
    i:=coord(x);
    j:=coord(y);
    if (farb[i+(j*12)]>-1) and (farb[i+(j*12)]<7) then
      scr.Cursor:=crProGrabHand
    else
      scr.Cursor:=crDefault;
    m.x:=x;
    m.y:=y;
    end
  else
    begin
    if (x>=70) and (x<142) and (y>=223) and (y<248) then
      scr.Cursor:=crProSmallHandPoint
    else
      scr.Cursor:=crDefault;
    end;
end;

procedure Tfrm.scrMouseUp(Sender: TObject; Button: TMouseButton;
  Shift: TShiftState; X, Y: Integer);
var
  i,j,a,b,c,d,e:integer;
begin
  if (m.f>-1) and (gameover=0) then
    begin
    if audio=true then aud.items[2].Play(false);
    i:=coord(x);
    j:=coord(y);
    a:=m.f mod 12;
    b:=m.f div 12;
    if b>1 then if (i=a) and (j=b-2) and (enth(farb[a+(b*12)],farb[a+((b-1)*12)],true)=true) and (enth(farb[a+(b*12)],farb[a+((b-2)*12)],false)=false) then doit(a,b,0);
    if (b>1) and (a<10) then if (i=a+2) and (j=b-2) and (enth(farb[a+(b*12)],farb[(a+1)+((b-1)*12)],true)=true) and (enth(farb[a+(b*12)],farb[(a+2)+((b-2)*12)],false)=false) then doit(a,b,1);
    if a<10 then if (i=a+2) and (j=b) and (enth(farb[a+(b*12)],farb[(a+1)+(b*12)],true)=true) and (enth(farb[a+(b*12)],farb[(a+2)+(b*12)],false)=false) then doit(a,b,2);
    if (b<10) and (a<10) then if (i=a+2) and (j=b+2) and (enth(farb[a+(b*12)],farb[(a+1)+((b+1)*12)],true)=true) and (enth(farb[a+(b*12)],farb[(a+2)+((b+2)*12)],false)=false) then doit(a,b,3);
    if b<10 then if (i=a) and (j=b+2) and (enth(farb[a+(b*12)],farb[a+((b+1)*12)],true)=true) and (enth(farb[a+(b*12)],farb[a+((b+2)*12)],false)=false) then doit(a,b,4);
    if (b<10) and (a>1) then if (i=a-2) and (j=b+2) and (enth(farb[a+(b*12)],farb[(a-1)+((b+1)*12)],true)=true) and (enth(farb[a+(b*12)],farb[(a-2)+((b+2)*12)],false)=false) then doit(a,b,5);
    if a>1 then if (i=a-2) and (j=b) and (enth(farb[a+(b*12)],farb[(a-1)+(b*12)],true)=true) and (enth(farb[a+(b*12)],farb[(a-2)+(b*12)],false)=false) then doit(a,b,6);
    if (b>1) and (a>1) then if (i=a-2) and (j=b-2) and (enth(farb[a+(b*12)],farb[(a-1)+((b-1)*12)],true)=true) and (enth(farb[a+(b*12)],farb[(a-2)+((b-2)*12)],false)=false) then doit(a,b,7);

    d:=0;
    e:=0;
    For a:=0 to 11 do
    For b:=0 to 11 do
      begin
      if (farb[a+(b*12)]>-1) and (farb[a+(b*12)]<7) then
        begin
        For c:=0 to 7 do
          begin
          i:=a;
          j:=b;
          if c=0 then
            begin
            if (farb[a+(b*12)]=0) or (farb[a+(b*12)]=1) or (farb[a+(b*12)]=3) then d:=d+1;
            if (farb[a+(b*12)]=2) or (farb[a+(b*12)]=4) or (farb[a+(b*12)]=5) then d:=d+2;
            if farb[a+(b*12)]=6 then d:=d+3;
            j:=b-2;
            end;
          if c=1 then
            begin
            j:=b-2;
            i:=a+2;
            end;
          if c=2 then i:=a+2;
          if c=3 then
            begin
            i:=a+2;
            j:=b+2;
            end;
          if c=4 then j:=b+2;
          if c=5 then
            begin
            j:=b+2;
            i:=a-2;
            end;
          if c=6 then i:=a-2;
          if c=7 then
            begin
            i:=a-2;
            j:=b-2;
            end;
          if b>1 then if (i=a) and (j=b-2) and (enth(farb[a+(b*12)],farb[a+((b-1)*12)],true)=true) and (enth(farb[a+(b*12)],farb[a+((b-2)*12)],false)=false) then e:=e+1;
          if (b>1) and (a<10) then if (i=a+2) and (j=b-2) and (enth(farb[a+(b*12)],farb[(a+1)+((b-1)*12)],true)=true) and (enth(farb[a+(b*12)],farb[(a+2)+((b-2)*12)],false)=false) then e:=e+1;
          if a<10 then if (i=a+2) and (j=b) and (enth(farb[a+(b*12)],farb[(a+1)+(b*12)],true)=true) and (enth(farb[a+(b*12)],farb[(a+2)+(b*12)],false)=false) then e:=e+1;
          if (b<10) and (a<10) then if (i=a+2) and (j=b+2) and (enth(farb[a+(b*12)],farb[(a+1)+((b+1)*12)],true)=true) and (enth(farb[a+(b*12)],farb[(a+2)+((b+2)*12)],false)=false) then e:=e+1;
          if b<10 then if (i=a) and (j=b+2) and (enth(farb[a+(b*12)],farb[a+((b+1)*12)],true)=true) and (enth(farb[a+(b*12)],farb[a+((b+2)*12)],false)=false) then e:=e+1;
          if (b<10) and (a>1) then if (i=a-2) and (j=b+2) and (enth(farb[a+(b*12)],farb[(a-1)+((b+1)*12)],true)=true) and (enth(farb[a+(b*12)],farb[(a-2)+((b+2)*12)],false)=false) then e:=e+1;
          if a>1 then if (i=a-2) and (j=b) and (enth(farb[a+(b*12)],farb[(a-1)+(b*12)],true)=true) and (enth(farb[a+(b*12)],farb[(a-2)+(b*12)],false)=false) then e:=e+1;
          if (b>1) and (a>1) then if (i=a-2) and (j=b-2) and (enth(farb[a+(b*12)],farb[(a-1)+((b-1)*12)],true)=true) and (enth(farb[a+(b*12)],farb[(a-2)+((b-2)*12)],false)=false) then e:=e+1;
          end;
        end;
      end;
    if e=0 then
      gameover:=d
    else
      gameover:=0;
    end;
  m.f:=-1;
  screen.cursor:=crDefault;
end;

procedure Tfrm.scrMouseDown(Sender: TObject; Button: TMouseButton;
  Shift: TShiftState; X, Y: Integer);
var
  i,j,a,b:integer;
begin
  if gameover=0 then
    begin
    if button=mbLeft then
      begin
      for i:=0 to 11 do
      for j:=0 to 11 do
        begin
        if (i=coord(x)) and (j=coord(y)) then
          begin
          if (farb[i+(j*12)]>-1) and (farb[i+(j*12)]<7) then
            begin
            if audio=true then aud.items[1].Play(false);
            screen.cursor:=crNone;
            m.f:=i+(j*12);
            end;
          If (farb[i+(j*12)]=7) and (button = mbleft) then
            begin
            releasecapture;
            frm.perform (WM_syscommand, $F012, 0);
            end;
          end;
        end;
      end
    else if button=mbRight then
      begin
      for i:=0 to 11 do
      for j:=0 to 11 do
        begin
        if (i=coord(x)) and (j=coord(y)) then
        if farb[i+(j*12)]<7 then
          rxbUndo.Click;
        end;
      end;
    end
  else
    begin
    if (button=mbLeft) and (x>=70) and (x<142) and (y>=223) and (y<248) then
      begin
      if gameover=1 then
        begin
        if audio=true then aud.items[0].Play(false);
        if (cboLevel.itemindex<cboLevel.items.count-1) or (lvl=cboLevel.items.count-1) then
          begin
          a:=cboGrad.Itemindex;
          b:=cboLevel.Itemindex;
          i:=10;
          While (count.value<HS[a,b,i-1].P) and (i>0) do Dec(i);
          If i<10 Then
            begin
            if audio=true then aud.items[6].Play(false);
            Application.CreateForm(TfrmPName, frmPName);
            frmPName.edtName.Text:=Player;
            Anzeige(frmPName);
            Player:=frmPName.edtName.Text;
            if audio=true then aud.items[0].Play(false);
            frmPName.Free;
            For j:=8 downto i do HS[a,b,j+1]:=HS[a,b,j];
            HS[a,b,i].N:=Player;
            HS[a,b,i].P:=count.value;
            HP:=i+1;
            end
          else
            begin
            if audio=true then aud.items[7].Play(false);
            end;
          actBestExecute(Self);
          HP:=0;

          knopf(true);
          for i:=0 to 11 do
          for j:=0 to 11 do
            farb[i+(j*12)]:=7;
          zug:=0;
          count.value:=0;
          end
        else
          begin
          mischen;
          end;
        m.f:=-1;
        alf:=768;
        gameover:=0;
        end
      else
        begin
        rxbUndo.Click;
        end;
      end;
    end;
end;

procedure Tfrm.gbNeuClick(Sender: TObject);
begin
  if rxbNeu.visible=true then
    begin
    if audio=true then aud.items[0].Play(false);
    scr.SetFocus;
    knopf(false);
    zug:=0;
    lvl:=0;
    mischen;
    rek.value:=HS[cboGrad.itemindex,cboLevel.itemindex,0].P
    end;
end;

procedure Tfrm.chkSound;
begin
  audio:=not audio;
  if audio=true then
    begin
    if not snd.Initialized then
      begin
      try
        snd.Initialize;
      except
        audio:=false;
      end;
      end;
    end
  else
    snd.Finalize;
  if (audio=true) and (frm.visible=true) then aud.items[0].Play(false);
  if audio=true then
    rxbSound.Glyph.assign(imgPS.Picture)
  else
    rxbSound.Glyph.assign(imgNS.Picture);
end;

procedure Tfrm.gbRestClick(Sender: TObject);
var
  i,j:integer;
begin
  if rxbRest.visible=true then
    begin
    if audio=true then aud.items[5].Play(false);
    scr.SetFocus;

    for i:=0 to 11 do
    for j:=0 to 11 do
      begin
      farb[i+(j*12)]:=abbild[i+(j*12)];
      end;
    while count.value>zug do count.decrease;
    m.f:=-1;
    undo.Clear;
    end;
end;

procedure Tfrm.FormClose(Sender: TObject; var Action: TCloseAction);
var
  i,j,k: Integer;
begin
  RegIni := TRegIniFile.Create(KeyReg);
  RegIni.WriteInteger('frmPos', 'top', frm.top);
  RegIni.WriteInteger('frmPos', 'left', frm.left);
  RegIni.WriteInteger('Options', 'grad', cboGrad.itemindex);
  RegIni.WriteInteger('Options', 'level', cboLevel.itemindex);
  RegIni.WriteBool('Options', 'sfx', audio);
  for i:=0 to 2 do
  for j:=0 to 8 do
  for k:=0 to 9 do
    begin
    RegIni.WriteString('Score', 'N'+inttostr(i)+inttostr(j)+inttostr(k), HS[i,j,k].N);
    RegIni.WriteInteger('Score', 'P'+inttostr(i)+inttostr(j)+inttostr(k), HS[i,j,k].P);
    end;
  RegIni.WriteString('Options', 'player', Player);
  RegIni.Free;

  undo.Free;
end;

procedure Tfrm.gbUndoClick(Sender: TObject);
var
  r,i,j,a,b,k,l:integer;
  x:string;
begin
  if rxbUndo.visible=true then
    begin
    scr.SetFocus;
    if undo.count>0 then
      begin
      if audio=true then aud.items[4].Play(false);
      x:=undo[undo.count-1];
      undo.delete(undo.count-1);
      a:=strtoint(copy(x,5,3)) mod 12;
      b:=strtoint(copy(x,5,3)) div 12;
      r:=strtoint(copy(x,1,1));
      i:=a;
      j:=b;
      k:=a;
      l:=b;
      if r=0 then
        begin
        j:=b-2;
        l:=b-1;
        end;
      if r=1 then
        begin
        j:=b-2;
        l:=b-1;
        i:=a+2;
        k:=a+1;
        end;
      if r=2 then
        begin
        i:=a+2;
        k:=a+1;
        end;
      if r=3 then
        begin
        i:=a+2;
        k:=a+1;
        j:=b+2;
        l:=b+1;
        end;
      if r=4 then
        begin
        j:=b+2;
        l:=b+1;
        end;
      if r=5 then
        begin
        j:=b+2;
        l:=b+1;
        i:=a-2;
        k:=a-1;
        end;
      if r=6 then
        begin
        i:=a-2;
        k:=a-1;
        end;
      if r=7 then
        begin
        i:=a-2;
        k:=a-1;
        j:=b-2;
        l:=b-1;
        end;
      farb[a+(b*12)]:=strtoint(copy(x,2,1))-1;
      farb[k+(l*12)]:=strtoint(copy(x,3,1))-1;
      farb[i+(j*12)]:=strtoint(copy(x,4,1))-1;
      count.decrease;
      gameover:=0;
      end;
    end;
end;

procedure Tfrm.actEndeExecute(Sender: TObject);
begin
  if audio=true then aud.items[0].Play(false);
  scr.SetFocus;
  Close;
end;

procedure Tfrm.cboLevelChange(Sender: TObject);
begin
  if audio=true then aud.items[0].Play(false);
  scr.SetFocus;
end;

procedure Tfrm.knopf(b: boolean);
begin
  grpGrad.visible:=b;
  grpLevel.visible:=b;
  rxbNeu.visible:=b;
  rxbRest.visible:=not b;
  rxbUndo.visible:=not b;
  rxbBack.visible:=not b;
  grpPkt.visible:=not b;
  grpRek.visible:=not b;
  if b=true then lblTitel.Caption:='';
end;

procedure Tfrm.imgTitelMouseDown(Sender: TObject; Button: TMouseButton;
  Shift: TShiftState; X, Y: Integer);
begin
  If button = mbleft then
    begin
    releasecapture;
    frm.perform (WM_syscommand, $F012, 0);
    end;
end;

procedure Tfrm.actHelpExecute(Sender: TObject);
begin
  if audio=true then aud.items[0].Play(false);
  Application.CreateForm(TfrmFilm, frmFilm);
  Anzeige(frmFilm);
  if audio=true then aud.items[0].Play(false);
  frmFilm.Free;
end;

procedure Tfrm.actInfoExecute(Sender: TObject);
begin
  if audio=true then aud.items[0].Play(false);
  Application.CreateForm(TfrmInfo, frmInfo);
  Anzeige(frmInfo);
  if audio=true then aud.items[0].Play(false);
  frmInfo.Free;
end;

procedure Tfrm.actBackExecute(Sender: TObject);
var
  i,j:integer;
begin
  if audio=true then aud.items[0].Play(false);
    knopf(true);
    for i:=0 to 11 do
    for j:=0 to 11 do
      farb[i+(j*12)]:=7;
    zug:=0;
    count.value:=0;
end;

procedure Tfrm.actBestExecute(Sender: TObject);
begin
  if audio=true then aud.items[0].Play(false);
  Application.CreateForm(TfrmBest, frmBest);
  Anzeige(frmBest);
  if audio=true then aud.items[0].Play(false);
  frmBest.Free;
end;

procedure Tfrm.AnzBest(i,j: Integer);
begin
  frmBest.lblN1.Font.Style:=[];
  frmBest.lblN2.Font.Style:=[];
  frmBest.lblN3.Font.Style:=[];
  frmBest.lblN4.Font.Style:=[];
  frmBest.lblN5.Font.Style:=[];
  frmBest.lblN6.Font.Style:=[];
  frmBest.lblN7.Font.Style:=[];
  frmBest.lblN8.Font.Style:=[];
  frmBest.lblN9.Font.Style:=[];
  frmBest.lblN10.Font.Style:=[];
  frmBest.lblP1.Font.Style:=[];
  frmBest.lblP2.Font.Style:=[];
  frmBest.lblP3.Font.Style:=[];
  frmBest.lblP4.Font.Style:=[];
  frmBest.lblP5.Font.Style:=[];
  frmBest.lblP6.Font.Style:=[];
  frmBest.lblP7.Font.Style:=[];
  frmBest.lblP8.Font.Style:=[];
  frmBest.lblP9.Font.Style:=[];
  frmBest.lblP10.Font.Style:=[];
  if (i>-1) and (j>-1) then
    begin
    frmBest.lblN1.Caption:=HS[i,j,0].N;
    frmBest.lblN2.Caption:=HS[i,j,1].N;
    frmBest.lblN3.Caption:=HS[i,j,2].N;
    frmBest.lblN4.Caption:=HS[i,j,3].N;
    frmBest.lblN5.Caption:=HS[i,j,4].N;
    frmBest.lblN6.Caption:=HS[i,j,5].N;
    frmBest.lblN7.Caption:=HS[i,j,6].N;
    frmBest.lblN8.Caption:=HS[i,j,7].N;
    frmBest.lblN9.Caption:=HS[i,j,8].N;
    frmBest.lblN10.Caption:=HS[i,j,9].N;
    frmBest.lblP1.Caption:=inttostr(HS[i,j,0].P);
    frmBest.lblP2.Caption:=inttostr(HS[i,j,1].P);
    frmBest.lblP3.Caption:=inttostr(HS[i,j,2].P);
    frmBest.lblP4.Caption:=inttostr(HS[i,j,3].P);
    frmBest.lblP5.Caption:=inttostr(HS[i,j,4].P);
    frmBest.lblP6.Caption:=inttostr(HS[i,j,5].P);
    frmBest.lblP7.Caption:=inttostr(HS[i,j,6].P);
    frmBest.lblP8.Caption:=inttostr(HS[i,j,7].P);
    frmBest.lblP9.Caption:=inttostr(HS[i,j,8].P);
    frmBest.lblP10.Caption:=inttostr(HS[i,j,9].P);
    if (i=cboGrad.itemindex) and (j=cboLevel.itemindex) then
      begin
      if HP=1 then
        begin
        frmBest.lblN1.Font.Style:=[fsBold];
        frmBest.lblP1.Font.Style:=[fsBold];
        end;
      if HP=2 then
        begin
        frmBest.lblN2.Font.Style:=[fsBold];
        frmBest.lblP2.Font.Style:=[fsBold];
        end;
      if HP=3 then
        begin
        frmBest.lblN3.Font.Style:=[fsBold];
        frmBest.lblP3.Font.Style:=[fsBold];
        end;
      if HP=4 then
        begin
        frmBest.lblN4.Font.Style:=[fsBold];
        frmBest.lblP4.Font.Style:=[fsBold];
        end;
      if HP=5 then
        begin
        frmBest.lblN5.Font.Style:=[fsBold];
        frmBest.lblP5.Font.Style:=[fsBold];
        end;
      if HP=6 then
        begin
        frmBest.lblN6.Font.Style:=[fsBold];
        frmBest.lblP6.Font.Style:=[fsBold];
        end;
      if HP=7 then
        begin
        frmBest.lblN7.Font.Style:=[fsBold];
        frmBest.lblP7.Font.Style:=[fsBold];
        end;
      if HP=8 then
        begin
        frmBest.lblN8.Font.Style:=[fsBold];
        frmBest.lblP8.Font.Style:=[fsBold];
        end;
      if HP=9 then
        begin
        frmBest.lblN9.Font.Style:=[fsBold];
        frmBest.lblP9.Font.Style:=[fsBold];
        end;
      if HP=10 then
        begin
        frmBest.lblN10.Font.Style:=[fsBold];
        frmBest.lblP10.Font.Style:=[fsBold];
        end;
      end;
    end
  else
    begin
    frmBest.lblN1.Caption:='';
    frmBest.lblN2.Caption:='';
    frmBest.lblN3.Caption:='';
    frmBest.lblN4.Caption:='';
    frmBest.lblN5.Caption:='';
    frmBest.lblN6.Caption:='';
    frmBest.lblN7.Caption:='';
    frmBest.lblN8.Caption:='';
    frmBest.lblN9.Caption:='';
    frmBest.lblN10.Caption:='';
    frmBest.lblP1.Caption:='';
    frmBest.lblP2.Caption:='';
    frmBest.lblP3.Caption:='';
    frmBest.lblP4.Caption:='';
    frmBest.lblP5.Caption:='';
    frmBest.lblP6.Caption:='';
    frmBest.lblP7.Caption:='';
    frmBest.lblP8.Caption:='';
    frmBest.lblP9.Caption:='';
    frmBest.lblP10.Caption:='';
    end;
end;

procedure Tfrm.FormShow(Sender: TObject);
var
  i,j,k: Integer;
begin
  RegIni := TRegIniFile.Create(KeyReg);
  frm.top:=RegIni.ReadInteger('frmPos', 'top', ((screen.height-frm.height) div 2));
  frm.left:=RegIni.ReadInteger('frmPos', 'left', ((screen.width-frm.width) div 2));
  cboGrad.itemindex:=RegIni.ReadInteger('Options', 'grad', 0);
  cboLevel.itemindex:=RegIni.ReadInteger('Options', 'level', 0);
  audio:=not RegIni.ReadBool('Options', 'sfx', true);
  for i:=0 to 2 do
  for j:=0 to 8 do
  for k:=0 to 9 do
    begin
    HS[i,j,k].N:=RegIni.ReadString('Score', 'N'+inttostr(i)+inttostr(j)+inttostr(k), 'FarbenDX');
    HS[i,j,k].P:=RegIni.ReadInteger('Score', 'P'+inttostr(i)+inttostr(j)+inttostr(k), 99999);
    end;
  Player:=RegIni.ReadString('Options', 'player', 'Spieler');
  RegIni.Free;
  chkSound;
end;

procedure Tfrm.actHilfeExecute(Sender: TObject);
begin
  if audio=true then aud.items[0].Play(false);
  DoExecute(PChar(Pfad+'hilfe.exe'));
end;

procedure Tfrm.actSoundExecute(Sender: TObject);
begin
  chkSound;
end;

end.
